# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90"
name = "base64-ng-bytes"
version = "1.2.1"
build = false
include = [
    "src/**",
    "tests/**",
    "Cargo.toml",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Optional bytes::Buf and Bytes helpers for base64-ng"
homepage = "https://github.com/valkyoth/base64-ng"
documentation = "https://docs.rs/base64-ng-bytes"
readme = "README.md"
keywords = [
    "base64",
    "bytes",
    "encoding",
    "networking",
]
categories = ["encoding"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/valkyoth/base64-ng"
resolver = "2"

[package.metadata.docs.rs]
all-features = true

[features]
default = ["std"]
std = [
    "base64-ng/std",
    "bytes/std",
]

[lib]
name = "base64_ng_bytes"
path = "src/lib.rs"

[[test]]
name = "bytes"
path = "tests/bytes.rs"

[dependencies.base64-ng]
version = "1.2.1"
features = ["alloc"]
default-features = false

[dependencies.bytes]
version = "1.12.0"
default-features = false

[lints.clippy]
all = "deny"
pedantic = "deny"

[lints.rust]
missing_docs = "deny"
unsafe_code = "deny"
